
QGIS Application - Bug report #20118

3d map in print composer with 3d lines

2018-10-16 09:43 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27940

Description

I am trying to print a 3d map which is created with 3d lines. The lines are all over the place.

The link to project will follow. I added it to 3d category...

Associated revisions

Revision 45059297 - 2018-11-06 09:27 AM - Martin Dobias

[3d] Fix 3D line symbol in 3D views in print layouts (fixes #20118)

Turned out we were getting an old version of OpenGL that does not

support the "primitive restart" functionality and so wherever

a linestring should be broken it was connected through (0,0,0)

to the next linestring.

Revision a46ac236 - 2018-11-10 07:16 AM - Martin Dobias

[3d] Fix 3D line symbol in 3D views in print layouts (fixes #20118)

Turned out we were getting an old version of OpenGL that does not

support the "primitive restart" functionality and so wherever

a linestring should be broken it was connected through (0,0,0)

to the next linestring.

(cherry picked from commit 45059297e4a6e7729a14f09b1b553133cafa463f)

History

#1 - 2018-10-16 09:44 AM - Saber Razmjooei

https://www.dropbox.com/s/32pl9l3s8mlag4e/bug_3d_lines.zip?dl=0

#2 - 2018-10-16 10:49 AM - Saber Razmjooei

- File map3d_print.png added

#3 - 2018-11-06 09:26 AM - Martin Dobias

- % Done changed from 0 to 100
https://www.dropbox.com/s/32pl9l3s8mlag4e/bug_3d_lines.zip?dl=0


- Status changed from Open to Closed

Applied in changeset commit:qgis|45059297e4a6e7729a14f09b1b553133cafa463f.

Files

map3d_print.png 2.6 MB 2018-10-16 Saber Razmjooei

2025-04-26 2/2


